#!/bin/bash

########################################
# Author: Bill Swords
# Script Name: wallpaperStart
# Version: 1/0
# Creation Date: 04/07/24 12:30:40
# Last Updated: 04/07/24 12:30:40
# Description: Starts the wallpaper rotator and it's components
# Website: https://www.lovinlinux.com
########################################

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.

CONFIG_FILE="$HOME/.config/wallpaper-rotator/wallpaper.conf"

function makeon() {
    sed -i '3s/.*/active:0/' "$CONFIG_FILE"
}
export -f makeon

function makeoff() {
    sed -i '3s/.*/active:1/' "$CONFIG_FILE"
}
export -f makeoff

nice_dialog() {
 # Use Pango markup language for custom text presentations
 echo "yad --text='<tt>$($1)</tt>' \
   --title=$2 --button=OK \
   --fixed "
}

# Create the about dialog
function about_dlg() {
  zenity --text-info --title="About Wallpaper Rotator" --width 375 --height 400 --html --url="https://www.lovinlinux.com/about-wallpaper.html"
# exec 2> >(grep -v GtkDialog >&2)

}
export -f about_dlg

yad --notification --image="applications-utilities" \
 --command="wallpaper-config.sh" \
 --menu="Next Image! bash -c 'wallpaperRotator -n' \
        | Settings! wallpaper-config.sh \
        | About! bash -c 'wallpaper-about.sh' \
        | Quit ! killall yad && killall wallpaperRotator"  \
 --text="Wallpaper Rotator Settings"
